<?php foreach ($rows as $id => $row) {
    $view = views_get_current_view();
    $nid = $view->result[$id]->nid;
    $node = node_load($nid);
  }
$images = field_get_items('node', $node, 'field_mt_banner_image');
$count = 0;
?>

<div id="slideshow-internal" class="fullwidthbanner-container main-slider">
  <?php $rs_internal_effect=theme_get_setting('rs_slideshow_internal_effect'); ?>
  <div class="fullwidthbanner">
    <ul>
      <?php foreach ($rows as $id => $row) {
        $image_uri = image_style_url('slideshow_fullwidth', $images[$count]['uri']);
        $title = $images[$count]['title'];
        $alt = $images[$count]['alt'];?>

        <li data-transition="<?php print $rs_internal_effect ?>" data-masterspeed="800" data-title="<?php print $title; ?>">
            <img data-bgposition="center center" src="<?php print $image_uri; ?>" title="<?php print $title; ?>" alt="<?php print $alt; ?>"/>
            <div class="<?php print ($title || $alt) ? "caption-text" : "no-caption-text";?>">
              <?php print $row; ?>
            </div>
        </li>

        <?php $count++; ?>
      <?php } ?>
    </ul>
    <div class="tp-bannertimer tp-bottom"></div>
  </div>
</div>
<?php
$rs_internal_effect_time = (int) theme_get_setting('rs_slideshow_internal_effect_time')*1000;
$rs_slideshow_caption_opacity = (int) theme_get_setting('rs_slideshow_caption_opacity')/100;
$rs_slideshow_initial_height = (int) theme_get_setting('rs_slideshow_initial_height');
drupal_add_js('

  var tpj=jQuery;
  tpj.noConflict();

  tpj(document).ready(function($) {

    if (tpj.fn.cssOriginal!=undefined)
      tpj.fn.css = tpj.fn.cssOriginal;

    var api = tpj("#slideshow-internal .fullwidthbanner").revolution({
      delay:"'.$rs_internal_effect_time.'",
      startheight:'.$rs_slideshow_initial_height.',
      startwidth: 1140,
      onHoverStop: "off",
      navigationStyle: "preview2"
    });

    api.bind("revolution.slide.onloaded",function (e,data) {
      jQuery(".tparrows.default").css("display", "block");
      jQuery(".tp-bullets").css("display", "block");
      jQuery(".tp-bannertimer").css("display", "block");
    });

    $(".caption-text .transparent-bg").css("backgroundColor", "rgba(55,55,55,'.$rs_slideshow_caption_opacity.')");

  });',
array('type' => 'inline', 'scope' => 'header'));
?>
