<div id="slideshow-fullwidth" class="fullwidthbanner-container main-slider">
  <?php $rs_fullwidth_effect=theme_get_setting('rs_slideshow_fullwidth_effect'); ?>
  <div class="fullwidthbanner">
    <ul>
      <?php foreach ($rows as $id => $row) { ?>

        <?php $view = views_get_current_view();
        $nid = $view->result[$id]->nid;
        $node = node_load($nid);
        $lang = 'und';
        $nodeurl =  url('node/'. $node->nid);

        $image = image_style_url('slideshow_fullwidth', $node->field_teaser_image[$lang][0]['uri']);
        $title = $node->field_teaser_image[$lang][0]['title'];
        $alt = $node->field_teaser_image[$lang][0]['alt'];

        if ($node->type=='mt_slideshow_entry') { ?>
          <?php if ($node->field_slideshow_entry_path) { ?>
            <?php $path = $node->field_slideshow_entry_path[$lang][0]['value']; ?>
            <li data-link="<?php print url($path); ?>" data-transition="<?php print $rs_fullwidth_effect ?>" data-masterspeed="800" data-title="<?php print $node->title; ?>">
          <?php } else { ?>
            <li data-transition="<?php print $rs_fullwidth_effect ?>" data-masterspeed="800" data-title="<?php print $node->title; ?>">
          <?php } ?>

          <img data-bgposition="center center" src="<?php print $image; ?>" title="<?php print $title; ?>" alt="<?php print $alt; ?>"/>

          <div class="tp-caption transparent-bg"
            data-x="center"
            data-y="bottom"
            data-speed="800"
            data-start="0">
          </div>

          <div class="tp-caption tp-resizeme title-teaser-text sft fadeout"
            data-x="center"
            data-y="center"
            data-speed="500"
            data-start="1200"
            data-easing="Power0.easeIn">
            <div class="title">
              <?php $title = $node->title; ?>
              <?php if ($node->field_slideshow_entry_path) { ?>
                <?php $path = $node->field_slideshow_entry_path[$lang][0]['value']; ?>
                <a href="<?php print url($path); ?>"><?php print $title; ?></a>
              <?php } else { ?>
                <?php print $title; ?>
              <?php } ?>
            </div>
            <?php if ($node->field_teaser_text): ?>
            <?php $field_teaser_text = $node->field_teaser_text[$lang][0]['value']; ?>
            <p><?php print $field_teaser_text; ?></p>
            <?php endif; ?>
            <?php if ($node->field_slideshow_entry_path): ?>
            <?php $path = $node->field_slideshow_entry_path[$lang][0]['value']; ?>
            <a href="<?php print url($path); ?>" class="more"><?php print t('Read More'); ?></a>
            <?php endif; ?>
          </div>
          </li>
          <?php } else { ?>
            <li data-transition="<?php print $rs_fullwidth_effect ?>" data-link="<?php print $nodeurl ?>" data-masterspeed="800" data-title="<?php print $node->title; ?>">
              <img data-bgposition="center center" src="<?php print $image; ?>" title="<?php print $title; ?>" alt="<?php print $alt; ?>"/>
              <?php print $row; ?>
            </li>
          <?php } ?>

      <?php } ?>
    </ul>
    <div class="tp-bannertimer tp-bottom"></div>
  </div>
</div>
<?php
$rs_fullwidth_effect_time = (int) theme_get_setting('rs_slideshow_fullwidth_effect_time')*1000;
$rs_slideshow_caption_opacity = (int) theme_get_setting('rs_slideshow_caption_opacity')/100;
$rs_slideshow_fullwidth_initial_height = (int) theme_get_setting('rs_slideshow_fullwidth_initial_height');

drupal_add_js('

  var tpj=jQuery;
  tpj.noConflict();

  tpj(document).ready(function($) {

  if (tpj.fn.cssOriginal!=undefined)
    tpj.fn.css = tpj.fn.cssOriginal;

  var api = tpj("#slideshow-fullwidth .fullwidthbanner").revolution({
    delay:"'.$rs_fullwidth_effect_time.'",
    startheight: '.$rs_slideshow_fullwidth_initial_height.',
    startwidth: 1140,
    onHoverStop: "off",
    navigationStyle: "preview2",
    hideThumbs: 0
  });

  api.bind("revolution.slide.onloaded",function (e,data) {
    jQuery(".tparrows.default").css("display", "block");
    jQuery(".tp-bullets").css("display", "block");
    jQuery(".tp-bannertimer").css("display", "block");
  });

  $(".transparent-bg").css("backgroundColor", "rgba(55,55,55,'.$rs_slideshow_caption_opacity.')");

});',
array('type' => 'inline', 'scope' => 'header'));

?>
